Index: ram/scselbx.c
===================================================================
--- ram/scselbx.c	(revision 0c834c599f225d78f3cee559f0421011b124be6d)
+++ ram/scselbx.c	(revision 60288f548947383de9a52a06e402df2698a3ce5d)
@@ -30,8 +30,8 @@
 /* functions defined elsewhere */
 
-extern	void	enterit(void);
+extern	short	entbh(short n);
 extern	void	advscur(void);
 extern	short	oktode(struct s_entry *ep);
-extern	short	nokey(void);
+extern	void	nokey(void);
 
 /* 
@@ -105,7 +105,7 @@
 extern	unsigned	*obj8, *obj11;
 
-extern	PFS	(*swpt)[];
-extern	PFS	(*oldsw)[];
-extern	PFS	t_ngrp[];
+extern	LPF	(*swpt)[];
+extern	LPF	(*oldsw)[];
+extern	LPF	t_ngrp[];
 
 extern	char	bfs[];
@@ -116,5 +116,5 @@
 /* forward references */
 
-void	sdboxfn(short n);
+short	sdboxfn(short n);
 void	bspscur(void);
 void	svtdsp(unsigned *obj, unsigned fg, unsigned bg, short row, short col, char *buf);
@@ -225,6 +225,6 @@
 	{  0, 238, 111, 251,       4, sdboxfn},	/*  4 - Assignment */
 	{112, 238, 167, 251,       5, sdboxfn},	/*  5 - Tune */
-	{168, 238, 247, 251,       6, enterit},	/*  6 - Tempo */
-	{248, 238, 319, 251,       7, enterit},	/*  7 - Interpolate */
+	{168, 238, 247, 251,       6, entbh},	/*  6 - Tempo */
+	{248, 238, 319, 251,       7, entbh},	/*  7 - Interpolate */
 	{320, 238, 398, 251,       8, sdboxfn},	/*  8 - Stop/Next */
 	{400, 238, 455, 251,       9, sdboxfn},	/*  9 - In/Out */
@@ -1232,5 +1232,5 @@
 */
 
-void sdboxfn(short n)
+short sdboxfn(short n)
 {
 	register short	row, col, grp, what, i;
@@ -1248,5 +1248,5 @@
 
 			if (clkrun)		/* clock can't be running */
-				return;
+				return(FAILURE);
 
 			if (ac_code EQ N_SHARP)
@@ -1256,15 +1256,15 @@
 
 			sc_refr(fc_val);
-			return;
+			return(SUCCESS);
 
 		} else if ((col GE 2) AND (col LE 4)) {	/* section menu */
 
 			if (clkrun)		/* clock can't be running */
-				return;
+				return(FAILURE);
 
 			if (sdmctl EQ -1) {	/* menu not up yet */
 
 				sdmenu(4);	/* put up the menu */
-				return;
+				return(SUCCESS);
 /* 
 
@@ -1278,5 +1278,5 @@
 
 						hilitop(SOP_GO);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 8) AND
@@ -1284,5 +1284,5 @@
 
 						hilitop(SOP_MOV);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 15) AND
@@ -1290,5 +1290,5 @@
 
 						hilitop(SOP_STC);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 24) AND
@@ -1301,5 +1301,5 @@
 						}
 
-						return;
+						return(SUCCESS);
 					}
 /* 
@@ -1312,5 +1312,5 @@
 
 						hilitop(SOP_BGN);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 8) AND
@@ -1318,5 +1318,5 @@
 
 						hilitop(SOP_CPY);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 15) AND
@@ -1324,5 +1324,5 @@
 
 						hilitop(SOP_DGR);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 24) AND
@@ -1335,5 +1335,5 @@
 						}
 
-						return;
+						return(SUCCESS);
 					}
 /* 
@@ -1346,5 +1346,5 @@
 
 						hilitop(SOP_END);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 8) AND
@@ -1352,5 +1352,5 @@
 
 						hilitop(SOP_MRG);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 15) AND
@@ -1358,5 +1358,5 @@
 
 						hilitop(SOP_DEV);
-						return;
+						return(SUCCESS);
 					}
 
@@ -1370,5 +1370,5 @@
 
 						hilitop(SOP_GRP);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 15) AND
@@ -1376,5 +1376,5 @@
 
 						hilitop(SOP_RMV);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 28) AND
@@ -1387,5 +1387,5 @@
 							dsgtmn(gtmsel, TRUE);
 
-						return;
+						return(SUCCESS);
 					}
 
@@ -1397,21 +1397,18 @@
 						secop = SOP_NUL;
 						sdmenu(-1);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 22) AND
 						   (vtccol LE 24)) {	/* Transpose */
 
-						enterit();
-						return;
+						return(entbh(-1));
 					}
 				}
 			}
 
-			return;
-
-		} else {
-			enterit();
-			return;
-		}
+			return(FAILURE);
+
+		} else
+			return(entbh(-1));
 
 /* 
@@ -1431,5 +1428,5 @@
 
 		dsimode();			/* update insert mode display */
-		return;
+		return(SUCCESS);
 
 	case 2:		/* clock control, source */
@@ -1439,5 +1436,5 @@
 			clkset(NOT clkrun);
 			dsclk();
-			return;
+			return(SUCCESS);
 
 /* 
@@ -1449,5 +1446,5 @@
 
 				sdmenu(3);
-				return;
+				return(SUCCESS);
 
 			} else {		/* menu up */
@@ -1461,5 +1458,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 					}
 
@@ -1472,5 +1469,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 					}
 
@@ -1483,10 +1480,10 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 					}
 				}
 			}
 
-			return;
+			return(FAILURE);
 /* 
 
@@ -1498,5 +1495,5 @@
 				sdmenu(2);
 				setleds();
-				return;
+				return(SUCCESS);
 
 			} else {		/* menu up */
@@ -1512,5 +1509,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 9) AND
@@ -1522,5 +1519,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 17) AND
@@ -1533,5 +1530,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 					}
 
@@ -1549,5 +1546,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 9) AND
@@ -1559,5 +1556,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 					}
 /* 
@@ -1574,5 +1571,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 
 					} else if ((vtccol GE 9) AND
@@ -1584,5 +1581,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return;
+						return(SUCCESS);
 					}
 				}
@@ -1590,5 +1587,5 @@
 		}
 
-		return;
+		return(FAILURE);
 
 /* 
@@ -1598,5 +1595,5 @@
 
 		if (clkrun)		/* clock can't be running */
-			return;
+			return(FAILURE);
 
 		if (scmctl NE -1)
@@ -1607,5 +1604,5 @@
 			sdmenu(1);
 			noteop = NOP_NUL;
-			return;
+			return(SUCCESS);
 
 		} else {		/* menu up - select operation */
@@ -1617,5 +1614,5 @@
 
 					hilitnt(NOP_ACC);
-					return;
+					return(SUCCESS);
 
 				} else if ((vtccol GE 13) AND
@@ -1623,5 +1620,5 @@
 
 					hilitnt(NOP_MVN);
-					return;
+					return(SUCCESS);
 
 				} else if ((vtccol GE 25) AND
@@ -1629,9 +1626,9 @@
 
 					hilitnt(NOP_NUL);
-					return;
+					return(SUCCESS);
 
 				}
 
-				return;
+				return(FAILURE);
 /* 
 
@@ -1643,5 +1640,5 @@
 
 					hilitnt(NOP_NAT);
-					return;
+					return(SUCCESS);
 
 				} else if ((vtccol GE 13) AND
@@ -1649,8 +1646,8 @@
 
 					hilitnt(NOP_MVB);
-					return;
+					return(SUCCESS);
 				}
 
-				return;
+				return(FAILURE);
 
 			} else if (vtcrow EQ 21) {
@@ -1660,5 +1657,5 @@
 
 					hilitnt(NOP_END);
-					return;
+					return(SUCCESS);
 
 				} else if ((vtccol GE 13) AND
@@ -1666,14 +1663,14 @@
 
 					hilitnt(NOP_MVE);
-					return;
+					return(SUCCESS);
 				}
 
-				return;
+				return(FAILURE);
 
 			} else
-				return;
+				return(FAILURE);
 		}
 
-		return;
+		return(FAILURE);
 
 /* 
@@ -1703,10 +1700,9 @@
 			}
 
-			return;
+			return(SUCCESS);
 
 		} else {
 
-			enterit();	/* data entry */
-			return;
+			return(entbh(-1));	/* data entry */
 		}
 
@@ -1720,10 +1716,9 @@
 				scmenu(-1);	/* take down menu */
 
-			return;
+			return(SUCCESS);
 
 		} else {
 
-			enterit();	/* data entry */
-			return;
+			return(entbh(-1));	/* data entry */
 		}
 /* 
@@ -1780,5 +1775,5 @@
 		}
 
-		return;
+		return(SUCCESS);
 
 /* 
@@ -1837,5 +1832,5 @@
 		}
 
-		return;
+		return(SUCCESS);
 /* 
 
@@ -1843,5 +1838,5 @@
 	case 10:	/* Output */
 
-		return;
+		return(SUCCESS);
 
 	case 11:	/* group/ins, trans, dyn/loc, velocity */
@@ -1854,5 +1849,5 @@
 				scmenu(-1);	/* take down the menu */
 
-			return;
+			return(SUCCESS);
 
 		} else if ((row EQ 21) AND (col LE 3)) {	/* velocity flag */
@@ -1860,10 +1855,8 @@
 			velflag = NOT velflag;
 			ds_vmod();
-			return;
-
-		} else {
-			enterit();			/* inst. number */
-			return;
-		}
+			return(SUCCESS);
+
+		} else
+			return(entbh(-1));			/* inst. number */
 
 /* 
@@ -1887,5 +1880,5 @@
 				vputa(obj8, 7, i, atr);
 
-			return;
+			return(SUCCESS);
 
 		} else if ((row EQ 22) AND (col LE 4)) {	/* r/p source */
@@ -1904,10 +1897,9 @@
 				vputa(obj8, 6, i, atr);
 
-			return;
+			return(SUCCESS);
 
 		} else {
 
-			enterit();
-			return;
+			return(entbh(-1));
 		}
 /* 
@@ -1923,5 +1915,5 @@
 				scmenu(-1);	/* take down menu */
 
-			return;
+			return(SUCCESS);
 
 		} else if ((col GE 10) AND (col LE 25)) {	/* score name */
@@ -1940,10 +1932,8 @@
 			}
 
-			return;
-
-		} else {
-			enterit();
-			return;
-		}
+			return(SUCCESS);
+
+		} else
+			return(entbh(-1));
 /* 
 
@@ -1955,5 +1945,5 @@
 			recsw = FALSE;
 			dsrpmod();
-			return;
+			return(SUCCESS);
 
 		} else if ((col GE 36) AND (col LE 40)) {	/* Recrd */
@@ -1961,5 +1951,5 @@
 			recsw = TRUE;
 			dsrpmod();
-			return;
+			return(SUCCESS);
 
 		} else if ((col GE 42) AND (col LE 47)) {	/* OvrDub */
@@ -1967,5 +1957,5 @@
 			dubsw = NOT dubsw;
 			dsrpmod();
-			return;
+			return(SUCCESS);
 
 		} else if ((col GE 49) AND (col LE 55)) {	/* PunchIn */
@@ -1973,9 +1963,9 @@
 			pchsw = NOT pchsw;
 			dsrpmod();
-			return;
+			return(SUCCESS);
 
 		}
 
-		return;
+		return(FAILURE);
 
 	case 16:	/* note display */
@@ -1984,6 +1974,7 @@
 			donote();
 
-		return;
+		return(SUCCESS);
 	}
+
+	return(FAILURE);
 }
-