Index: rom/romp.c
===================================================================
--- rom/romp.c	(revision f40a3096572fd1b0696a7f7c717464e68652e655)
+++ rom/romp.c	(revision 05806159f2593192d6ed2fca28358480a2383c67)
@@ -122,13 +122,17 @@
 */
 
-extern	UWORD16	setipl();
-
-extern	int	rjumpto(), halt(), getln(), sjumpto();
-extern	int	trap15(), xtrap15();
+extern	unsigned	setipl(unsigned arg);
+
+extern	void	rjumpto(void *addr);
+extern	void	halt(void);
+extern	int	getln(int unit, int nb, char *buf);
+extern	void	sjumpto(void *addr, void *stack);
+extern	void	trap15(void);
+extern	void	xtrap15(void);
 
 #if	ON_B700
-extern	int	hdvini();
-extern	int	booter();
-extern	int	vsndpal();
+extern	void	hdvini(void);
+extern	short	booter(char *fn, long textadr);
+extern	void	vsndpal(short pp[16][3]);
 #endif
 
@@ -151,23 +155,61 @@
 /* forward references */
 
-int	cp_dump(), cp_fill(), cp_copy(), cp_null(), cp_ilev(), cp_ldmp();
-int	cp_go(), cp_read(), cp_mset(), cp_rset(), cp_wset(), cp_mtst();
-int	cp_wdmp(), cp_wfil(), cp_vrst(), cp_monc(), cp_mons(), cp_monl();
-int	cp_chek();
+int	cp_dump(void);
+int	cp_fill(void);
+int	cp_copy(void);
+int	cp_null(void);
+int	cp_ilev(void);
+int	cp_ldmp(void);
+int	cp_go(void);
+int	cp_read(void);
+int	cp_mset(void);
+int	cp_rset(void);
+int	cp_wset(void);
+int	cp_mtst(void);
+int	cp_wdmp(void);
+int	cp_wfil(void);
+int	cp_vrst(void);
+int	cp_monc(void);
+int	cp_mons(void);
+int	cp_monl(void);
+int	cp_chek(void);
 
 #if	ON_B700
-int	cx_dini();
-int	cx_mlod();
-int	cp_boot(), cx_boot();
-int	cx_adsp();
+int	cx_dini(void);
+int	cx_mlod(void);
+int	cp_boot(void);
+int	cx_boot(void);
+int	cx_adsp(void);
 #endif
 
-int	cx_dump(), cx_fill(), cx_copy(), cx_rset();
-int	cx_load(), cx_go(), cx_read(), cx_help();
-int	cx_exit(), cx_writ(), cx_regs(), cx_mset();
-int	cx_bpb(), cx_wset(), cx_wdmp(), cx_wfil(), cx_rest();
-int	cx_vrst(), cx_vreg(), cx_mon(), cx_next(), cx_ilev();
-int	do_srec(), cx_crsh(), cx_mtst(), cx_zap(), cx_ldmp();
-int	cx_omap(), cx_chek();
+int	cx_dump(void);
+int	cx_fill(void);
+int	cx_copy(void);
+int	cx_rset(void);
+int	cx_load(void);
+int	cx_go(void);
+int	cx_read(void);
+int	cx_help(void);
+void	cx_exit(void);
+int	cx_writ(void);
+int	cx_regs(void);
+int	cx_mset(void);
+int	cx_bpb(void);
+int	cx_wset(void);
+int	cx_wdmp(void);
+int	cx_wfil(void);
+void	cx_rest(void);
+int	cx_vrst(void);
+int	cx_vreg(void);
+int	cx_mon(void);
+int	cx_next(void);
+int	cx_ilev(void);
+int	do_srec(char *line);
+int	cx_crsh(void);
+int	cx_mtst(void);
+void	cx_zap(void);
+int	cx_ldmp(void);
+int	cx_omap(void);
+int	cx_chek(void);
 
 char	hs_mtst[];
@@ -411,6 +453,5 @@
 */
 
-int
-cx_exit()
+void cx_exit(void)
 {
 	longjmp(&restart, 1);		/* restart ROMP */
@@ -423,6 +464,5 @@
 */
 
-int
-cx_rest()
+void cx_rest(void)
 {
 	rjumpto(ROMADDR);
@@ -435,6 +475,5 @@
 */
 
-int
-cx_mlod()
+int cx_mlod(void)
 {
 	register short i;
@@ -478,6 +517,5 @@
 */
 
-int
-cp_boot()
+int cp_boot(void)
 {
 	register int i;
@@ -522,6 +560,5 @@
 */
 
-int
-cx_boot()
+int cx_boot(void)
 {
 	register short i;
@@ -564,6 +601,5 @@
 */
 
-dobar(nb, bv)
-register int nb, bv;
+void dobar(int nb, int bv)
 {
 	register unsigned *bp;
@@ -605,6 +641,5 @@
 */
 
-dosw(nb, sv)
-register int nb, sv;
+void dosw(int nb, int sv)
 {
 	register unsigned *bp;
@@ -639,7 +674,5 @@
 */
 
-unsigned
-exp_c(c)
-unsigned c;
+unsigned exp_c(unsigned c)
 {
 	c &= 0x000F;
@@ -660,5 +693,5 @@
 */
 
-cx_adsp()
+int cx_adsp(void)
 {
 	register int xasig, xastat, xaval;
@@ -798,6 +831,5 @@
 */
 
-int
-waitcr()
+int waitcr(void)
 {
 	char	c;
@@ -824,7 +856,5 @@
 */
 
-int
-xdtoi(c)
-register int c;
+int xdtoi(int c)
 {
 	register int i;
@@ -851,6 +881,5 @@
 */
 
-int
-getcmd()
+int getcmd(void)
 {
 	register int c;
@@ -915,6 +944,5 @@
 */
 
-int
-getarg()
+int getarg(void)
 {
 	register int c;
@@ -981,7 +1009,5 @@
 */
 
-int
-getlong(var)
-long *var;
+int getlong(long *var)
 {
 	register long	temp = 0L;
@@ -1024,7 +1050,5 @@
 */
 
-int
-setvar(var, deflt)
-long *var, deflt;
+int setvar(long *var, long deflt)
 {
 	int rc;
@@ -1080,7 +1104,5 @@
 */
 
-putn(num, cw, unit)
-long num;
-int cw, unit;
+void putn(long num, int cw, int unit)
 {
 	register int	d;
@@ -1108,7 +1130,5 @@
 */
 
-puthn(num, cw, unit)
-long num;
-int cw, unit;
+void puthn(long num, int cw, int unit)
 {
 	register int	d;
@@ -1139,8 +1159,5 @@
 */
 
-int
-ddump(loc, lastloc, nwide, unit)
-register char *loc, *lastloc;
-register int nwide, unit;
+int ddump(char *loc, char *lastloc, int nwide, int unit)
 {
 	while (nwide--) {
@@ -1178,7 +1195,5 @@
 */
 
-padr(adr, unit)
-long adr;
-int unit;
+void padr(long adr, int unit)
 {
 	puthn(adr, 8, unit);
@@ -1198,8 +1213,5 @@
 */
 
-int
-dtext(loc, lastloc, nwide, unit)
-register char *loc, *lastloc;
-register int nwide, unit;
+int dtext(char *loc, char *lastloc, int nwide, int unit)
 {
 	register int c;
@@ -1247,6 +1259,5 @@
 */
 
-int
-cp_mset()
+int cp_mset(void)
 {
 	redo = FALSE;
@@ -1270,6 +1281,5 @@
 */
 
-int
-cx_mset()
+int cx_mset(void)
 {
 	while (TRUE) {
@@ -1298,6 +1308,5 @@
 */
 
-int
-cp_wset()
+int cp_wset(void)
 {
 	redo = FALSE;
@@ -1328,6 +1337,5 @@
 */
 
-int
-cx_wset()
+int cx_wset(void)
 {
 	UWORD16	*p_uint;
@@ -1361,6 +1369,5 @@
 */
 
-int
-cp_mtst()
+int cp_mtst(void)
 {
 	inext = ilast;
@@ -1406,6 +1413,5 @@
 */
 
-int
-cx_mtst()
+int cx_mtst(void)
 {
 	register short	mask, was, *loc, *eloc, *oldloc;
@@ -1465,6 +1471,5 @@
 */
 
-int
-cp_go()
+int cp_go(void)
 {
 	redo = FALSE;
@@ -1522,6 +1527,5 @@
 */
 
-int
-cx_dini()
+int cx_dini(void)
 {
 	redo = TRUE;
@@ -1538,6 +1542,5 @@
 */
 
-int
-cx_zap()
+void cx_zap(void)
 {
 	register short *p, *q;
@@ -1564,6 +1567,5 @@
 */
 
-int
-cx_omap()
+int cx_omap(void)
 {
 	register short i, width, xloc;
@@ -1602,6 +1604,5 @@
 */
 
-int
-cx_help()
+int cx_help(void)
 {
 	int	i, j;
@@ -1642,6 +1643,5 @@
 */
 
-int
-cx_bpb()
+int cx_bpb(void)
 {
 	register struct bpb *bpp;
@@ -1698,6 +1698,5 @@
 */
 
-int
-cx_go()
+int cx_go(void)
 {
 	redo = FALSE;
@@ -1771,6 +1770,5 @@
 */
 
-int
-cp_dump()
+int cp_dump(void)
 {
 	inext = ilast;
@@ -1833,6 +1831,5 @@
 */
 
-int
-cp_fill()
+int cp_fill(void)
 {
 	redo = FALSE;
@@ -1866,6 +1863,5 @@
 */
 
-int
-cp_wfil()
+int cp_wfil(void)
 {
 	redo = FALSE;
@@ -1902,6 +1898,5 @@
 */
 
-int
-cp_copy()
+int cp_copy(void)
 {
 	redo = FALSE;
@@ -1931,6 +1926,5 @@
 */
 
-int
-cp_chek()
+int cp_chek(void)
 {
 	redo = FALSE;
@@ -1957,6 +1951,5 @@
 */
 
-int
-cp_read()
+int cp_read(void)
 {
 	redo = FALSE;
@@ -1989,6 +1982,5 @@
 */
 
-int
-cp_null()
+int cp_null(void)
 {
 	return(TRUE);
@@ -2005,6 +1997,5 @@
 */
 
-int
-cp_rset()
+int cp_rset(void)
 {
 	int	rc;
@@ -2040,6 +2031,5 @@
 */
 
-int
-cx_chek()
+int cx_chek(void)
 {
 	register long csum;
@@ -2067,6 +2057,5 @@
 */
 
-int
-cx_rset()
+int cx_rset(void)
 {
 	redo = FALSE;
@@ -2131,6 +2120,5 @@
 */
 
-int
-cp_vrst()
+int cp_vrst(void)
 {
 	int	rc;
@@ -2190,6 +2178,5 @@
 */
 
-int
-cx_vrst()
+int cx_vrst(void)
 {
 	redo = FALSE;
@@ -2230,6 +2217,5 @@
 */
 
-int
-cx_vreg()
+int cx_vreg(void)
 {
 	register int	i, j, k, l;
@@ -2270,7 +2256,5 @@
 */
 
-int
-do_srec(line)
-register char *line;
+int do_srec(char *line)
 {
 	register char *ldadr;
@@ -2380,6 +2364,5 @@
 */
 
-int
-cx_load()
+int cx_load(void)
 {
 	register int rc;
@@ -2445,6 +2428,5 @@
 */
 
-int
-cx_fill()
+int cx_fill(void)
 {
 	register char *cp = p_from;
@@ -2481,6 +2463,5 @@
 */
 
-int
-cx_wfil()
+int cx_wfil(void)
 {
 	register UWORD16 *cp = (UWORD16 *)p_from;
@@ -2505,6 +2486,5 @@
 */
 
-int
-cx_copy()
+int cx_copy(void)
 {
 	register char	*from = p_from,
@@ -2582,6 +2562,5 @@
 */
 
-int
-cx_dump()
+int cx_dump(void)
 {
 	register int	nw, rc;
@@ -2633,8 +2612,5 @@
 */
 
-int
-wdump(loc, lastloc, nwide, unit)
-register UWORD16 *loc, *lastloc;
-int nwide, unit;
+int wdump(UWORD16 *loc, UWORD16 *lastloc, int nwide, int unit)
 {
 	while (nwide--) {
@@ -2668,8 +2644,5 @@
 */
 
-int
-ldump(loc, lastloc, nwide, unit)
-register long *loc, *lastloc;
-int nwide, unit;
+int ldump(long *loc, long *lastloc, int nwide, int unit)
 {
 	while (nwide--) {
@@ -2703,6 +2676,5 @@
 */
 
-int
-cp_wdmp()
+int cp_wdmp(void)
 {
 	inext = ilast;
@@ -2770,6 +2742,5 @@
 */
 
-int
-cp_ldmp()
+int cp_ldmp(void)
 {
 	inext = ilast;
@@ -2837,6 +2808,5 @@
 */
 
-int
-cp_ilev()
+int cp_ilev(void)
 {
 	long	iplevl;
@@ -2863,6 +2833,5 @@
 */
 
-int
-cx_ilev()
+int cx_ilev(void)
 {
 	if (-1 EQ setipl(iplev)) {
@@ -2886,6 +2855,5 @@
 */
 
-int
-cp_monc()
+int cp_monc(void)
 {
 	if (getarg())
@@ -2904,6 +2872,5 @@
 */
 
-int
-cp_mons()
+int cp_mons(void)
 {
 	if (getarg())
@@ -2926,6 +2893,5 @@
 */
 
-int
-cp_monl()
+int cp_monl(void)
 {
 	if (getarg())
@@ -2948,6 +2914,5 @@
 */
 
-int
-cx_mon()
+int cx_mon(void)
 {
 	register char vc, vcc;
@@ -3040,6 +3005,5 @@
 */
 
-int
-cx_wdmp()
+int cx_wdmp(void)
 {
 	int	nw, rc;
@@ -3084,6 +3048,5 @@
 */
 
-int
-cx_ldmp()
+int cx_ldmp(void)
 {
 	int	nw, rc;
@@ -3128,5 +3091,5 @@
 */
 
-do_cmd()
+void do_cmd(void)
 {
 	int	rc, i;
@@ -3225,6 +3188,5 @@
 */
 
-int
-cx_next()
+int cx_next(void)
 {
 	p_to = d_last;	
@@ -3243,6 +3205,5 @@
 */
 
-int
-cx_read()
+int cx_read(void)
 {
 	long	rc;
@@ -3277,6 +3238,5 @@
 */
 
-int
-cx_writ()
+int cx_writ(void)
 {
 	long	rc;
@@ -3311,6 +3271,5 @@
 */
 
-showrs(rp)
-struct regs *rp;
+void showrs(struct regs *rp)
 {
 	int	i;
@@ -3407,5 +3366,5 @@
 */
 
-showcr()
+void showcr(void)
 {
 	register int	i;
@@ -3614,6 +3573,5 @@
 */
 
-int
-cx_crsh()
+int cx_crsh(void)
 {
 	if (!wzcrsh)
@@ -3635,6 +3593,5 @@
 */
 
-int
-bphit()
+int bphit(void)
 {
 	int	rc;
@@ -3757,6 +3714,5 @@
 */
 
-int
-cx_regs()
+int cx_regs(void)
 {
 	showrs(regptr);
@@ -3774,8 +3730,5 @@
 */
 
-rompbp(d0,d1,d2,d3,d4,d5,d6,d7, a0,a1,a2,a3,a4,a5,a6,a7, sr0,sr, pc)
-long	d0,d1,d2,d3,d4,d5,d6,d7;
-char	*a0,*a1,*a2,*a3,*a4,*a5,*a6,*a7, *pc;
-UWORD16	sr0,sr;
+void rompbp(long d0, long d1, long d2, long d3, long d4, long d5, long d6, long d7, char *a0, char *a1, char *a2, char *a3, char *a4, char *a5, char *a6, char *a7, char *pc, UWORD16 sr0, UWORD16 sr)
 {
 	register int i;
@@ -3833,5 +3786,5 @@
 */
 
-progid()
+void progid(void)
 {
 	register char *pcptr;
@@ -3879,6 +3832,5 @@
 */
 
-short
-pclr()
+short pclr(void)
 {
 	register short i;
@@ -3920,6 +3872,5 @@
 */
 
-short
-pscan()
+short pscan(void)
 {
 	register short i, c;
@@ -4023,5 +3974,5 @@
 */
 
-main()
+void main(void)
 {
 	register short i;