Index: ram/sreset.s
===================================================================
--- ram/sreset.s	(revision 8325447d07a5d175402b922c7c6881b9bbf0a20d)
+++ ram/sreset.s	(revision 33705959029dbbceb1afdc1d981c50443ba5a366)
@@ -53,21 +53,21 @@
 		ori.w	#0x0700,sr	| ...
 
-		move.w	vrcw,vrcw	| make local copies of control variables
+		move.w	vrcw,_vrcw	| make local copies of control variables
 		clr.w	vrcw		| ... and clear them for the next pass
-		move.w	vrbw08,vrbw08	| ...
+		move.w	vrbw08,_vrbw08	| ...
 		clr.w	vrbw08		| ...
-		move.w	vrbw09,vrbw09	| ...
+		move.w	vrbw09,_vrbw09	| ...
 		clr.w	vrbw09		| ...
-		move.w	vrbw10,vrbw10	| ...
+		move.w	vrbw10,_vrbw10	| ...
 		clr.w	vrbw10		| ...
-		move.w	vrbw11,vrbw11	| ...
+		move.w	vrbw11,_vrbw11	| ...
 		clr.w	vrbw11		| ...
-		move.w	vrbw12,vrbw12	| ...
+		move.w	vrbw12,_vrbw12	| ...
 		clr.w	vrbw12		| ...
-		move.w	vrbw13,vrbw13	| ...
+		move.w	vrbw13,_vrbw13	| ...
 		clr.w	vrbw13		| ...
-		move.w	vrbw14,vrbw14	| ...
+		move.w	vrbw14,_vrbw14	| ...
 		clr.w	vrbw14		| ...
-		move.w	vrbw15,vrbw15	| ...
+		move.w	vrbw15,_vrbw15	| ...
 		clr.w	vrbw15		| ...
 
@@ -100,5 +100,5 @@
 		move.w	#12,COL(a7)	| put 2nd column on stack
 		jsr	vputa		| reset second column
-		move.w	vrcw,d0		| restore vrcw to d0
+		move.w	_vrcw,d0		| restore _vrcw to d0
 
 | tuning
@@ -111,5 +111,5 @@
 		move.w	#19,COL(a7)	| put column on stack
 		jsr	vputa		| reset column
-		move.w	vrcw,d0		| restore vrcw to d0
+		move.w	_vrcw,d0		| restore _vrcw to d0
 
 | tempo
@@ -126,5 +126,5 @@
 		move.w	#29,COL(a7)	| put 3rd column on stack
 		jsr	vputa		| reset third column
-		move.w	vrcw,d0		| restore vrcw to d0
+		move.w	_vrcw,d0		| restore _vrcw to d0
 
 		.page
@@ -145,5 +145,5 @@
 		move.w	#38,COL(a7)	| put 4th column on stack
 		jsr	vputa		| reset fourth column
-		move.w	vrcw,d0		| restore vrcw to d0
+		move.w	_vrcw,d0		| restore _vrcw to d0
 
 | section begin
@@ -172,5 +172,5 @@
 		move.w	#51,COL(a7)	| put 2nd column on stack
 		jsr	vputa		| reset second column
-		move.w	vrcw,d0		| restore vrcw to d0
+		move.w	_vrcw,d0		| restore _vrcw to d0
 
 | punch out
@@ -187,5 +187,5 @@
 		move.w	#55,COL(a7)	| put 3rd column on stack
 		jsr	vputa		| reset third column
-		move.w	vrcw,d0		| restore vrcw to d0
+		move.w	_vrcw,d0		| restore _vrcw to d0
 
 | Output
@@ -208,5 +208,5 @@
 		move.w	#62,COL(a7)	| put 6th column on stack
 		jsr	vputa		| reset sixth column
-		move.w	vrcw,d0		| restore vrcw to d0
+		move.w	_vrcw,d0		| restore _vrcw to d0
 
 		.page
@@ -219,5 +219,5 @@
 		move.w	#2,ROW(a7)	| put row on stack
 		move.w	#AT11,ATR(a7)	| put attribute on stack
-		btst	#0,vrbw08+1	| group 1 ?
+		btst	#0,_vrbw08+1	| group 1 ?
 		beq	srs8a		| jump if not
 
@@ -227,5 +227,5 @@
 		jsr	vputa		| reset second column
 
-srs8a:		btst	#1,vrbw08+1	| group 2 ?
+srs8a:		btst	#1,_vrbw08+1	| group 2 ?
 		beq	srs8b		| jump if not
 
@@ -235,5 +235,5 @@
 		jsr	vputa		| reset second character
 
-srs8b:		btst	#2,vrbw08+1	| group 3 ?
+srs8b:		btst	#2,_vrbw08+1	| group 3 ?
 		beq	srs8c		| jump if not
 
@@ -243,5 +243,5 @@
 		jsr	vputa		| reset second character
 
-srs8c:		btst	#3,vrbw08+1	| group 4 ?
+srs8c:		btst	#3,_vrbw08+1	| group 4 ?
 		beq	srs8d		| jump if not
 
@@ -253,5 +253,5 @@
 		.page
 
-srs8d:		btst	#4,vrbw08+1	| group 5 ?
+srs8d:		btst	#4,_vrbw08+1	| group 5 ?
 		beq	srs8e		| jump if not
 
@@ -261,5 +261,5 @@
 		jsr	vputa		| reset second character
 
-srs8e:		btst	#5,vrbw08+1	| group 6 ?
+srs8e:		btst	#5,_vrbw08+1	| group 6 ?
 		beq	srs8f		| jump if not
 
@@ -269,5 +269,5 @@
 		jsr	vputa		| reset second character
 
-srs8f:		btst	#6,vrbw08+1	| group 7 ?
+srs8f:		btst	#6,_vrbw08+1	| group 7 ?
 		beq	srs8g		| jump if not
 
@@ -277,5 +277,5 @@
 		jsr	vputa		| reset second character
 
-srs8g:		btst	#7,vrbw08+1	| group 8 ?
+srs8g:		btst	#7,_vrbw08+1	| group 8 ?
 		beq	srs8h		| jump if not
 
@@ -287,5 +287,5 @@
 		.page
 
-srs8h:		btst	#0,vrbw08	| group 9
+srs8h:		btst	#0,_vrbw08	| group 9
 		beq	srs8j		| jump if not
 
@@ -295,5 +295,5 @@
 		jsr	vputa		| reset second character
 
-srs8j:		btst	#1,vrbw08	| group 10
+srs8j:		btst	#1,_vrbw08	| group 10
 		beq	srs8k		| jump if not
 
@@ -303,5 +303,5 @@
 		jsr	vputa		| reset second character
 
-srs8k:		btst	#2,vrbw08	| group 11
+srs8k:		btst	#2,_vrbw08	| group 11
 		beq	srs8m		| jump if not
 
@@ -311,5 +311,5 @@
 		jsr	vputa		| reset second character
 
-srs8m:		btst	#3,vrbw08	| group 12
+srs8m:		btst	#3,_vrbw08	| group 12
 		beq	srs8x		| jump if not
 
@@ -319,5 +319,5 @@
 		jsr	vputa		| reset second character
 
-srs8x:		move.w	vrcw,d0		| restore vrcw to d0
+srs8x:		move.w	_vrcw,d0		| restore _vrcw to d0
 
 		.page
@@ -330,5 +330,5 @@
 		move.w	#AT11,ATR(a7)	| put attribute on stack
 		move.w	#3,ROW(a7)	| put row on stack
-		btst	#0,vrbw09+1	| group 1 ?
+		btst	#0,_vrbw09+1	| group 1 ?
 		beq	srs9a		| jump if not
 
@@ -342,5 +342,5 @@
 		jsr	vputa		| reset fourth column
 
-srs9a:		btst	#1,vrbw09+1	| group 2 ?
+srs9a:		btst	#1,_vrbw09+1	| group 2 ?
 		beq	srs9b		| jump if not
 
@@ -354,5 +354,5 @@
 		jsr	vputa		| reset fourth column
 
-srs9b:		btst	#2,vrbw09+1	| group 3 ?
+srs9b:		btst	#2,_vrbw09+1	| group 3 ?
 		beq	srs9c		| jump if not
 
@@ -368,5 +368,5 @@
 		.page
 
-srs9c:		btst	#3,vrbw09+1	| group 4 ?
+srs9c:		btst	#3,_vrbw09+1	| group 4 ?
 		beq	srs9d		| jump if not
 
@@ -380,5 +380,5 @@
 		jsr	vputa		| reset fourth column
 
-srs9d:		btst	#4,vrbw09+1	| group 5 ?
+srs9d:		btst	#4,_vrbw09+1	| group 5 ?
 		beq	srs9e		| jump if not
 
@@ -392,5 +392,5 @@
 		jsr	vputa		| reset fourth column
 
-srs9e:		btst	#5,vrbw09+1	| group 6 ?
+srs9e:		btst	#5,_vrbw09+1	| group 6 ?
 		beq	srs9f		| jump if not
 
@@ -406,5 +406,5 @@
 		.page
 
-srs9f:		btst	#6,vrbw09+1	| group 7 ?
+srs9f:		btst	#6,_vrbw09+1	| group 7 ?
 		beq	srs9g		| jump if not
 
@@ -418,5 +418,5 @@
 		jsr	vputa		| reset fourth column
 
-srs9g:		btst	#7,vrbw09+1	| group 8 ?
+srs9g:		btst	#7,_vrbw09+1	| group 8 ?
 		beq	srs9h		| jump if not
 
@@ -430,5 +430,5 @@
 		jsr	vputa		| reset fourth column
 
-srs9h:		btst	#0,vrbw09	| group 9
+srs9h:		btst	#0,_vrbw09	| group 9
 		beq	srs9j		| jump if not
 
@@ -444,5 +444,5 @@
 		.page
 
-srs9j:		btst	#1,vrbw09	| group 10
+srs9j:		btst	#1,_vrbw09	| group 10
 		beq	srs9k		| jump if not
 
@@ -456,5 +456,5 @@
 		jsr	vputa		| reset fourth column
 
-srs9k:		btst	#2,vrbw09	| group 11
+srs9k:		btst	#2,_vrbw09	| group 11
 		beq	srs9m		| jump if not
 
@@ -468,5 +468,5 @@
 		jsr	vputa		| reset fourth column
 
-srs9m:		btst	#3,vrbw09	| group 12
+srs9m:		btst	#3,_vrbw09	| group 12
 		beq	srs9x		| jump if not
 
@@ -480,5 +480,5 @@
 		jsr	vputa		| reset fourth column
 
-srs9x:		move.w	vrcw,d0		| restore vrcw to d0
+srs9x:		move.w	_vrcw,d0		| restore _vrcw to d0
 
 		.page
@@ -491,5 +491,5 @@
 		move.w	#AT11,ATR(a7)	| put attribute on stack
 		move.w	#4,ROW(a7)	| put row on stack
-		btst	#0,vrbw10+1	| group 1 ?
+		btst	#0,_vrbw10+1	| group 1 ?
 		beq	srs10a		| jump if not
 
@@ -497,5 +497,5 @@
 		jsr	vputa		| reset column
 
-srs10a:		btst	#1,vrbw10+1	| group 2 ?
+srs10a:		btst	#1,_vrbw10+1	| group 2 ?
 		beq	srs10b		| jump if not
 
@@ -503,5 +503,5 @@
 		jsr	vputa		| reset column
 
-srs10b:		btst	#2,vrbw10+1	| group 3 ?
+srs10b:		btst	#2,_vrbw10+1	| group 3 ?
 		beq	srs10c		| jump if not
 
@@ -509,5 +509,5 @@
 		jsr	vputa		| reset column
 
-srs10c:		btst	#3,vrbw10+1	| group 4 ?
+srs10c:		btst	#3,_vrbw10+1	| group 4 ?
 		beq	srs10d		| jump if not
 
@@ -517,5 +517,5 @@
 		.page
 
-srs10d:		btst	#4,vrbw10+1	| group 5 ?
+srs10d:		btst	#4,_vrbw10+1	| group 5 ?
 		beq	srs10e		| jump if not
 
@@ -523,5 +523,5 @@
 		jsr	vputa		| reset column
 
-srs10e:		btst	#5,vrbw10+1	| group 6 ?
+srs10e:		btst	#5,_vrbw10+1	| group 6 ?
 		beq	srs10f		| jump if not
 
@@ -529,5 +529,5 @@
 		jsr	vputa		| reset column
 
-srs10f:		btst	#6,vrbw10+1	| group 7 ?
+srs10f:		btst	#6,_vrbw10+1	| group 7 ?
 		beq	srs10g		| jump if not
 
@@ -535,5 +535,5 @@
 		jsr	vputa		| reset column
 
-srs10g:		btst	#7,vrbw10+1	| group 8 ?
+srs10g:		btst	#7,_vrbw10+1	| group 8 ?
 		beq	srs10h		| jump if not
 
@@ -543,5 +543,5 @@
 		.page
 
-srs10h:		btst	#0,vrbw10	| group 9
+srs10h:		btst	#0,_vrbw10	| group 9
 		beq	srs10j		| jump if not
 
@@ -549,5 +549,5 @@
 		jsr	vputa		| reset column
 
-srs10j:		btst	#1,vrbw10	| group 10
+srs10j:		btst	#1,_vrbw10	| group 10
 		beq	srs10k		| jump if not
 
@@ -555,5 +555,5 @@
 		jsr	vputa		| reset column
 
-srs10k:		btst	#2,vrbw10	| group 11
+srs10k:		btst	#2,_vrbw10	| group 11
 		beq	srs10m		| jump if not
 
@@ -561,5 +561,5 @@
 		jsr	vputa		| reset column
 
-srs10m:		btst	#3,vrbw10	| group 12
+srs10m:		btst	#3,_vrbw10	| group 12
 		beq	srs10x		| jump if not
 
@@ -567,5 +567,5 @@
 		jsr	vputa		| reset column
 
-srs10x:		move.w	vrcw,d0		| restore vrcw to d0
+srs10x:		move.w	_vrcw,d0		| restore _vrcw to d0
 
 		.page
@@ -578,5 +578,5 @@
 		move.w	#AT11,ATR(a7)	| put attribute on stack
 		move.w	#4,ROW(a7)	| put row on stack
-		btst	#0,vrbw11+1	| group 1 ?
+		btst	#0,_vrbw11+1	| group 1 ?
 		beq	srs11a		| jump if not
 
@@ -584,5 +584,5 @@
 		jsr	vputa		| reset column
 
-srs11a:		btst	#1,vrbw11+1	| group 2 ?
+srs11a:		btst	#1,_vrbw11+1	| group 2 ?
 		beq	srs11b		| jump if not
 
@@ -590,5 +590,5 @@
 		jsr	vputa		| reset column
 
-srs11b:		btst	#2,vrbw11+1	| group 3 ?
+srs11b:		btst	#2,_vrbw11+1	| group 3 ?
 		beq	srs11c		| jump if not
 
@@ -596,5 +596,5 @@
 		jsr	vputa		| reset column
 
-srs11c:		btst	#3,vrbw11+1	| group 4 ?
+srs11c:		btst	#3,_vrbw11+1	| group 4 ?
 		beq	srs11d		| jump if not
 
@@ -604,5 +604,5 @@
 		.page
 
-srs11d:		btst	#4,vrbw11+1	| group 5 ?
+srs11d:		btst	#4,_vrbw11+1	| group 5 ?
 		beq	srs11e		| jump if not
 
@@ -610,5 +610,5 @@
 		jsr	vputa		| reset column
 
-srs11e:		btst	#5,vrbw11+1	| group 6 ?
+srs11e:		btst	#5,_vrbw11+1	| group 6 ?
 		beq	srs11f		| jump if not
 
@@ -616,5 +616,5 @@
 		jsr	vputa		| reset column
 
-srs11f:		btst	#6,vrbw11+1	| group 7 ?
+srs11f:		btst	#6,_vrbw11+1	| group 7 ?
 		beq	srs11g		| jump if not
 
@@ -622,5 +622,5 @@
 		jsr	vputa		| reset column
 
-srs11g:		btst	#7,vrbw11+1	| group 8 ?
+srs11g:		btst	#7,_vrbw11+1	| group 8 ?
 		beq	srs11h		| jump if not
 
@@ -630,5 +630,5 @@
 		.page
 
-srs11h:		btst	#0,vrbw11	| group 9
+srs11h:		btst	#0,_vrbw11	| group 9
 		beq	srs11j		| jump if not
 
@@ -636,5 +636,5 @@
 		jsr	vputa		| reset column
 
-srs11j:		btst	#1,vrbw11	| group 10
+srs11j:		btst	#1,_vrbw11	| group 10
 		beq	srs11k		| jump if not
 
@@ -642,5 +642,5 @@
 		jsr	vputa		| reset column
 
-srs11k:		btst	#2,vrbw11	| group 11
+srs11k:		btst	#2,_vrbw11	| group 11
 		beq	srs11m		| jump if not
 
@@ -648,5 +648,5 @@
 		jsr	vputa		| reset column
 
-srs11m:		btst	#3,vrbw11	| group 12
+srs11m:		btst	#3,_vrbw11	| group 12
 		beq	srs11x		| jump if not
 
@@ -654,5 +654,5 @@
 		jsr	vputa		| reset column
 
-srs11x:		move.w	vrcw,d0		| restore vrcw to d0
+srs11x:		move.w	_vrcw,d0		| restore _vrcw to d0
 
 		.page
@@ -665,5 +665,5 @@
 		move.w	#AT11,ATR(a7)	| put attribute on stack
 		move.w	#5,ROW(a7)	| put row on stack
-		btst	#0,vrbw12+1	| group 1 ?
+		btst	#0,_vrbw12+1	| group 1 ?
 		beq	srs12a		| jump if not
 
@@ -675,5 +675,5 @@
 		jsr	vputa		| reset third column
 
-srs12a:		btst	#1,vrbw12+1	| group 2 ?
+srs12a:		btst	#1,_vrbw12+1	| group 2 ?
 		beq	srs12b		| jump if not
 
@@ -685,5 +685,5 @@
 		jsr	vputa		| reset third column
 
-srs12b:		btst	#2,vrbw12+1	| group 3 ?
+srs12b:		btst	#2,_vrbw12+1	| group 3 ?
 		beq	srs12c		| jump if not
 
@@ -697,5 +697,5 @@
 		.page
 
-srs12c:		btst	#3,vrbw12+1	| group 4 ?
+srs12c:		btst	#3,_vrbw12+1	| group 4 ?
 		beq	srs12d		| jump if not
 
@@ -707,5 +707,5 @@
 		jsr	vputa		| reset third column
 
-srs12d:		btst	#4,vrbw12+1	| group 5 ?
+srs12d:		btst	#4,_vrbw12+1	| group 5 ?
 		beq	srs12e		| jump if not
 
@@ -717,5 +717,5 @@
 		jsr	vputa		| reset third column
 
-srs12e:		btst	#5,vrbw12+1	| group 6 ?
+srs12e:		btst	#5,_vrbw12+1	| group 6 ?
 		beq	srs12f		| jump if not
 
@@ -729,5 +729,5 @@
 		.page
 
-srs12f:		btst	#6,vrbw12+1	| group 7 ?
+srs12f:		btst	#6,_vrbw12+1	| group 7 ?
 		beq	srs12g		| jump if not
 
@@ -739,5 +739,5 @@
 		jsr	vputa		| reset third column
 
-srs12g:		btst	#7,vrbw12+1	| group 8 ?
+srs12g:		btst	#7,_vrbw12+1	| group 8 ?
 		beq	srs12h		| jump if not
 
@@ -749,5 +749,5 @@
 		jsr	vputa		| reset third column
 
-srs12h:		btst	#0,vrbw12	| group 9
+srs12h:		btst	#0,_vrbw12	| group 9
 		beq	srs12j		| jump if not
 
@@ -761,5 +761,5 @@
 		.page
 
-srs12j:		btst	#1,vrbw12	| group 10
+srs12j:		btst	#1,_vrbw12	| group 10
 		beq	srs12k		| jump if not
 
@@ -771,5 +771,5 @@
 		jsr	vputa		| reset third column
 
-srs12k:		btst	#2,vrbw12	| group 11
+srs12k:		btst	#2,_vrbw12	| group 11
 		beq	srs12m		| jump if not
 
@@ -781,5 +781,5 @@
 		jsr	vputa		| reset third column
 
-srs12m:		btst	#3,vrbw12	| group 12
+srs12m:		btst	#3,_vrbw12	| group 12
 		beq	srs12x		| jump if not
 
@@ -791,5 +791,5 @@
 		jsr	vputa		| reset third column
 
-srs12x:		move.w	vrcw,d0		| restore vrcw to d0
+srs12x:		move.w	_vrcw,d0		| restore _vrcw to d0
 
 		.page
@@ -802,5 +802,5 @@
 		move.w	#AT12,ATR(a7)	| put attribute on stack
 		move.w	#7,ROW(a7)	| put row on stack
-		btst	#0,vrbw13+1	| variable 1 ?
+		btst	#0,_vrbw13+1	| variable 1 ?
 		beq	srs13a		| jump if not
 
@@ -808,5 +808,5 @@
 		jsr	vputa		| reset column
 
-srs13a:		btst	#1,vrbw13+1	| variable 2 ?
+srs13a:		btst	#1,_vrbw13+1	| variable 2 ?
 		beq	srs13b		| jump if not
 
@@ -814,5 +814,5 @@
 		jsr	vputa		| reset column
 
-srs13b:		btst	#2,vrbw13+1	| variable 3 ?
+srs13b:		btst	#2,_vrbw13+1	| variable 3 ?
 		beq	srs13c		| jump if not
 
@@ -820,5 +820,5 @@
 		jsr	vputa		| reset column
 
-srs13c:		btst	#3,vrbw13+1	| variable 4 ?
+srs13c:		btst	#3,_vrbw13+1	| variable 4 ?
 		beq	srs13d		| jump if not
 
@@ -826,5 +826,5 @@
 		jsr	vputa		| reset column
 
-srs13d:		btst	#4,vrbw13+1	| variable 5 ?
+srs13d:		btst	#4,_vrbw13+1	| variable 5 ?
 		beq	srs13e		| jump if not
 
@@ -832,5 +832,5 @@
 		jsr	vputa		| reset column
 
-srs13e:		btst	#5,vrbw13+1	| variable 6 ?
+srs13e:		btst	#5,_vrbw13+1	| variable 6 ?
 		beq	srs13x		| jump if not
 
@@ -838,5 +838,5 @@
 		jsr	vputa		| reset column
 
-srs13x:		move.w	vrcw,d0		| restore vrcw to d0
+srs13x:		move.w	_vrcw,d0		| restore _vrcw to d0
 
 		.page
@@ -849,5 +849,5 @@
 		move.w	#AT12,ATR(a7)	| put attribute on stack
 		move.w	#7,ROW(a7)	| put row on stack
-		btst	#0,vrbw14+1	| variable 1 ?
+		btst	#0,_vrbw14+1	| variable 1 ?
 		beq	srs14a		| jump if not
 
@@ -863,5 +863,5 @@
 		jsr	vputa		| reset fifth column
 
-srs14a:		btst	#1,vrbw14+1	| variable 2 ?
+srs14a:		btst	#1,_vrbw14+1	| variable 2 ?
 		beq	srs14b		| jump if not
 
@@ -879,5 +879,5 @@
 		.page
 
-srs14b:		btst	#2,vrbw14+1	| variable 3 ?
+srs14b:		btst	#2,_vrbw14+1	| variable 3 ?
 		beq	srs14c		| jump if not
 
@@ -893,5 +893,5 @@
 		jsr	vputa		| reset fifth column
 
-srs14c:		btst	#3,vrbw14+1	| variable 4 ?
+srs14c:		btst	#3,_vrbw14+1	| variable 4 ?
 		beq	srs14d		| jump if not
 
@@ -909,5 +909,5 @@
 		.page
 
-srs14d:		btst	#4,vrbw14+1	| variable 5 ?
+srs14d:		btst	#4,_vrbw14+1	| variable 5 ?
 		beq	srs14e		| jump if not
 
@@ -923,5 +923,5 @@
 		jsr	vputa		| reset fifth column
 
-srs14e:		btst	#5,vrbw14+1	| variable 6 ?
+srs14e:		btst	#5,_vrbw14+1	| variable 6 ?
 		beq	srs14x		| jump if not
 
@@ -937,5 +937,5 @@
 		jsr	vputa		| reset fifth column
 
-srs14x:		move.w	vrcw,d0		| restore vrcw to d0
+srs14x:		move.w	_vrcw,d0		| restore _vrcw to d0
 
 		.page
@@ -946,5 +946,5 @@
 		beq	srs16		| jump if not
 
-		btst	#0,vrbw15	| stop ?
+		btst	#0,_vrbw15	| stop ?
 		beq	srs15a		| jump if not
 
@@ -960,5 +960,5 @@
 		jsr	vputa		| reset fourth column
 
-srs15a:		btst	#1,vrbw15	| next ?
+srs15a:		btst	#1,_vrbw15	| next ?
 		beq	srs16		| jump if not
 
@@ -983,13 +983,13 @@
 | local copies of vrcw, vrbw08..vrbw15
 
-vrcw:		.ds.w	1
-vrbw08:		.ds.w	1
-vrbw09:		.ds.w	1
-vrbw10:		.ds.w	1
-vrbw11:		.ds.w	1
-vrbw12:		.ds.w	1
-vrbw13:		.ds.w	1
-vrbw14:		.ds.w	1
-vrbw15:		.ds.w	1
+_vrcw:		.ds.w	1
+_vrbw08:		.ds.w	1
+_vrbw09:		.ds.w	1
+_vrbw10:		.ds.w	1
+_vrbw11:		.ds.w	1
+_vrbw12:		.ds.w	1
+_vrbw13:		.ds.w	1
+_vrbw14:		.ds.w	1
+_vrbw15:		.ds.w	1
 
 		.end